﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable table1 = new DataTable("patients");
            Random r = new Random();

            for (int i = 0; i < 40; i++)
            {
                table1.Columns.Add(new DataColumn("Column " + i, typeof(int)));
            }

            for (int i = 0; i < 100; i++)
            {
                DataRow row = table1.NewRow();

                for (int j = 0; j < 40; j++)
                {
                    row["Column " + j] = i;
                }

                table1.Rows.Add(row);
            }

            DataTable table2 = new DataTable("medications");
            table2.Columns.Add("parentid",typeof(int));
            table2.Columns.Add("medication");
            for (int i = 0; i < 100; i++)
            {
                 table2.Rows.Add(i, "atenolol"+ i);
                 table2.Rows.Add(i, "atenolol"+ i);
            }

            DataSet set = new DataSet("office");
            set.Tables.Add(table1);
            set.Tables.Add(table2);
            set.Relations.Add(new DataRelation("rel", table1.Columns[0], table2.Columns[0]));

            this.DataContext = table1.DefaultView;
        }

        private void xamDataGrid1_EditModeEnded(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs e)
        {
            e.Cell.Record.IsExpanded = true;
        }
    }
}
